## ----Loading Library, echo=FALSE, message=FALSE--------------------------
library(RGeostats)
rm(list=ls())
constant.define("asp",1)

## ----Loading Data--------------------------------------------------------
rg.load("Exdemo_ext.data","data")

## ----Plotting_Data-------------------------------------------------------
plot(data)

## ----Loading Drift on Grid-----------------------------------------------
rg.load("Exdemo_ext.grid","grid")

## ----Plotting_Drift------------------------------------------------------
plot(grid,name.image="f1")

## ----Loading Model and Neighborhood--------------------------------------
rg.load("Exdemo_ext.model","model")
rg.load("Exdemo_ext.neigh","neigh")

## ----Performing Standard Kriging-----------------------------------------
grid <- kriging(dbin=data,dbout=grid,model=model,neigh=neigh)

## ----Plotting_Estimation_Standard----------------------------------------
plot(grid,name="Kriging.top.estim",
     title="Estimation (Standard Kriging)")
plot(data,add=T,pch=21,col="blue")

## ----Plotting_Stdev_Standard---------------------------------------------
plot(grid,name="Kriging.top.stdev",
     title="Standard deviation (Standard Kriging)")
plot(data,add=T,pch=21,col="blue")

## ----Locating the Drift--------------------------------------------------
grid <- db.locate(grid,"drift","f")

## ----Performing Kriging with External Drift------------------------------
grid <- kriging(dbin=data,dbout=grid,model=model,neigh=neigh,
                uc=c("1","f1"),radix="Ext")

## ----Plotting_Estimation_ED----------------------------------------------
plot(grid,name="Ext.top.estim",
     title="Estimation (with Kriging with External Drift)")
plot(data,add=T,pch=21,col="blue")

## ----Plotting_Stdev_ED---------------------------------------------------
plot(grid,name="Ext.top.stdev",
     title="Stdndard Deviation (Kriging with External Drift)")
plot(data,add=T,pch=21,col="blue")

