## ----Load, echo=FALSE, show.messages=FALSE-------------------------------
library(RGeostats)
rm(list=ls())

## ----Load Data-----------------------------------------------------------
rg.load("Exdemo_3D_wells","data")

## ----Print---------------------------------------------------------------
print(data,flag.extend=TRUE)

## ----Displays------------------------------------------------------------
plot(data,title="Horizontal View",asp=1)
plot(data,title="Vertical Section",pos.y=3)

## ----Horizontal variogram------------------------------------------------
dirhor = c(0,45,90,135)
vario  = vario.calc(data,dirvect=dirhor,lag=100,nlag=10,bench=10)
plot(vario,title="Horizontal variogram",pos.legend=7)

## ----Vertical Variogram--------------------------------------------------
dirvert = get.directions(matrix(c(0,0,1),ncol=1))
varvert = vario.calc(data,dirvect=dirvert,nlag=10,lag=5,tolang=1)
plot(varvert,title="Vertical Variogram by Angle",pos.legend=1)

## ----Vertical Variogram by code------------------------------------------
varcode = vario.calc(data,nlag=10,lag=5,opt.code=1)
plot(varcode,title="Vertical Variogram by code",pos.legend=1)

## ----3-D Variogram-------------------------------------------------------
vario = vario.calc(data,dirvect=dirvert,nlag=10,lag=5,tolang=1,
                   vario.add=vario)
plot(vario,title="3-D Variogram",pos.legend=7)

## ----Print Variogram-----------------------------------------------------
print(vario)

